//===========================================================================
//
// Name:			fw_weap.c
// Function:
// Programmer:		Mr Elusive
// Last update:		1999-09-08
// Tab Size:		4 (real tabs)
//===========================================================================

weight "Punchy"
{
	switch(INVENTORY_PUNCHY)
	{
		case 1: return 0;
		default: return W_GAUNTLET;
	} //end switch
} //end weight

weight "Pumper"
{
	switch(INVENTORY_PUMPER)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_PUMPERAMMO)
			{
				case 1: return 0;
				default:
				{

					//the lightning gun has a limited range
					switch(ENEMY_HORIZONTAL_DIST)
					{
						case 1024: return W_SHOTGUN;						// <---
						default: return $evalint(W_SHOTGUN*0.1);		// <---
					} //end switch
				} //end default
			} //end switch
		} //end default
	} //end switch
} //end weight

weight "Nipper"
{
	switch(INVENTORY_NIPPER)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_NIPPERAMMO)
			{
				case 1: return 0;
				default:
				{
					return W_MACHINEGUN;		// <---
				} //end default
			} //end switch
		} //end default
	} //end switch
} //end weight

weight "Balloony"
{
	switch(INVENTORY_BALLOONY)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_BALLOONYAMMO)
			{
				case 1: return 0;
				default:
				{
					return W_GRENADELAUNCHER;		// <---
				} //end default
			} //end switch
		} //end default
	} //end switch
} //end weight

weight "Betty"
{
	switch(INVENTORY_BETTY)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_BETTYAMMO)
			{
				case 1: return 0;
				default:
				{
					return W_ROCKETLAUNCHER;		// <---
				} //end default
			} //end switch
		} //end default
	} //end switch
} //end weight

weight "Boaster"
{
	switch(INVENTORY_BOASTER)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_BOASTERAMMO)
			{
				case 1: return 0;
				default:
				{
					return W_LIGHTNING;
				} //end default
			} //end switch
		} //end default
	} //end switch
} //end weight

weight "Splasher"
{
	switch(INVENTORY_SPLASHER)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_SPLASHERAMMO)
			{
				case 1: return 0;
				default:
				{
					return W_RAILGUN;		// <---
				} //end default
			} //end switch
		} //end default
	} //end switch
} //end weight

weight "BubbleG"
{
	switch(INVENTORY_BUBBLEG)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_BUBBLEGAMMO)
			{
				case 1: return 0;
				default:
				{
					return W_PLASMAGUN;		// <---
				} //end default
			} //end switch
		} //end default
	} //end switch
} //end weight

weight "Imperius"
{
	switch(INVENTORY_IMPERIUS)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_IMPERIUSAMMO)
			{
				case 1: return 0;
				default:
				{
					return W_BFG10K;		// <---
				} //end default
			} //end switch
		} //end default
	} //end switch
} //end weight
